function findNthElement(form, index) {
	return $(form).getElements().findAll(function(element) {
		return element.type != 'hidden' && !element.disabled &&
		['input', 'select', 'textarea'].include(element.tagName.toLowerCase());
	})[index];
}

  var app = {
	negativated: []
}
function negative(elt){
	elt.setStyle({
		"color": elt.getStyle("background-color"), 
		"background-color": elt.getStyle("color")
	})
	return elt
}

function validate(form){	
	app.negativated.each(function(elt){negative(elt)})
	app.negativated = []
	
	var isValid = true
	form.getElements().each(function(elt){ // validation
		if (elt.name && elt.name.substring(0,1) == "i"){
			if (! $F(elt).match(/^[0-9]+(\.[0-9]+)?$/)){
				app.negativated.push(negative(elt))
				if (isValid){ // First incorrect field
					elt.focus()
				}
				isValid = false
			}
		}
	})
	
	// Custom 
	if ($("formRecherche").iCodeInsee.value.length == 0){
		isValid = false
		alert("Veuillez choisir une ville + code postal")
	}
	return isValid
}

function recherche(event){
	Event.stop(event)
	var form = $("formRecherche")
	if (validate(form)){
		new Ajax.Updater("pnlAnnonces", "/ads", {
			method: "get",
			parameters: form.serialize(true),
			onCreate: function() {
				$("pnlTraitementEnCours").update("<img src='wait.gif'> Traitement en cours...")
			},
			onComplete: function() {
				$("pnlTraitementEnCours").update("")
				//~ $("pnlDebug").innerHTML = $("pnlAnnonces").innerHTML.escapeHTML()				
			},
			onFailure: function() {
			$("pnlTraitementEnCours").update("Petit problme ct serveur...")
			}

		})
	}
	return false
}

var villes
var autocompleteSelectedIndex = -1
var autocompleteMaxIndex = 0
function autocompleteDisplay(){
	var sVilleCompletions = $("sVilleCompletions")
	sVilleCompletions.update("")
	var index = 0
	villes.each(function(ville){
		var libelle = ville.nom + " - " + ville.codePostal
		var div = document.createElement("div")
		Element.update(div, libelle)
		if (index == autocompleteSelectedIndex){
			Element.addClassName(div, "selected")
		}
		Event.observe(div, 'mousedown', function() {
			$("formRecherche").sVille.value = libelle
			$("formRecherche").iCodeInsee.value = ville.codeInsee
			sVilleCompletions.update("")
		})
		sVilleCompletions.appendChild(div)
		++index
	})
}
function autocomplete(event){
	Event.stop(event)
	
	var key = event.which || event.keyCode;
	
	// dplacement par le clavier : flches haut et bas
	if (key == Event.KEY_UP){
		if (autocompleteSelectedIndex > -1) 
			--autocompleteSelectedIndex;
		autocompleteDisplay() // only refresh
	} else if (key == Event.KEY_DOWN){
		if (autocompleteSelectedIndex < autocompleteMaxIndex) 
			++autocompleteSelectedIndex;
		autocompleteDisplay() // only refresh
	} else if (key == Event.KEY_TAB){
		var ville = villes[autocompleteSelectedIndex]
		var libelle = ville.nom + " - " + ville.codePostal
		$("formRecherche").sVille.value = libelle
		$("formRecherche").iCodeInsee.value = ville.codeInsee
		$("sVilleCompletions").update("")
	} else { // new request to autocomplete
		var param = $("formRecherche").serialize(true)
		param.sVille = param.sVille
			.replace("", "e")
			.replace("", "e")
			.replace("", "e")
			.replace("", "a")
			.replace("", "u")
			.replace("", "u")
			.replace("", "o")
			.toUpperCase()
	
		new Ajax.Request("/autocomplete", {
			method: "get",
			parameters: param,
			onSuccess: function (transport){
				villes = eval('(' + transport.responseText + ')');
				var sVilleCompletions = $("sVilleCompletions")
				$("sVilleCompletions").update("")
				autocompleteSelectedIndex = -1
				autocompleteMaxIndex = villes.length
				if (villes.length == 1){
					autocompleteSelectedIndex = 0
					var ville = villes[0]
					var libelle = ville.nom + " - " + ville.codePostal
					$("formRecherche").sVille.value = libelle
					$("formRecherche").iCodeInsee.value = ville.codeInsee
					findNthElement("formRecherche", 1).focus()
				} else if (villes.length > 1){
					autocompleteDisplay()
				}
			}
		})
	}
}

Event.observe(window, 'load', function() {
	$("formRecherche").focusFirstElement().observe("submit", recherche)
	$("formRecherche").observe("keyup", autocomplete)
})
