package http;

import java.io.BufferedOutputStream;
import java.io.IOException;

import com.sun.net.httpserver.HttpExchange;

public class HttpBinaryServlet extends HttpServlet{
	@Override
	public final void handle(HttpExchange exchange) throws IOException {
		super.handle(exchange);
		BufferedOutputStream out = new BufferedOutputStream(exchange.getResponseBody());
		String verb = exchange.getRequestMethod();
		if ("GET".equals(verb)){
			doGet(exchange, out);
		} else if ("POST".equals(verb)){
			doPost(exchange, out);
		}
		out.close();
		exchange.close();
	}

	protected void doGet(HttpExchange exchange, BufferedOutputStream out)throws IOException{}
	protected void doPost(HttpExchange exchange, BufferedOutputStream out)throws IOException{}

}
