package http;

import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;

import com.sun.net.httpserver.HttpExchange;

public class HttpTextServlet extends HttpServlet{
	@Override
	public final void handle(HttpExchange exchange) throws IOException {
		super.handle(exchange);
		OutputStreamWriter osw = new OutputStreamWriter(exchange.getResponseBody(), "UTF8");
		PrintWriter out = new PrintWriter(osw);
		String verb = exchange.getRequestMethod();
		if ("GET".equals(verb)){
			doGet(exchange, out);
		} else if ("POST".equals(verb)){
			doPost(exchange, out);
		}
		out.close();
		exchange.close();
	}

	protected void doGet(HttpExchange exchange, PrintWriter out)throws IOException{}
	protected void doPost(HttpExchange exchange, PrintWriter out)throws IOException{}
}
