package tests;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;

import junit.framework.TestCase;
import business.Ad;
import business.City;
import business.Insee;
import business.Kind;
import business.publishers.SeLoger;

public class TestSeLoger extends TestCase {
	public void testGet() throws IOException{
		SeLoger seLoger = new SeLoger();
		City c = Insee.instance.getCitiesStartingBy("Moret", 1).get(0);
		List<Ad> ads = seLoger.findAds(Kind.House, c, 150000, 300000, 80, 200);
		
		PrintWriter out = new PrintWriter("d:/test.html");
		for(Ad ad : ads){
			out.println(ad.getHtml());
		}
		out.close();
	}
}
