package util;

import java.util.List;

public class Json {
	public static <T extends Jsonable> String encode(List<T> list){
		StringBuilder sb = new StringBuilder();
		sb.append("[\n");
		int size = list.size();
		for (int i = 0; i < size; i++) {
			sb.append(list.get(i).toJson());
			if (i < size - 1){
				sb.append(",");
			}
			sb.append("\n");
		}
		sb.append("]\n");
		return sb.toString();
	}
}
