function App(form, updatePanel){
	var me = this
	me.form = $(form).focusFirstElement()
	me.updatePanel = $(updatePanel)
	me.updatePanel.hide()
	
	me.negativated = []	
	
	me.negative = function(elt){
		elt.setStyle({
			"color": elt.getStyle("background-color"), 
			"background-color": elt.getStyle("color")
		})
		return elt
	}
	
	me.validate= function(){
		me.negativated.each(function(elt){me.negative(elt)})
		me.negativated = []
		
		var isValid = true
		me.form.getElements().each(function(elt){ // validation
			if (elt.name && elt.name.substring(0,1) == "i"){
				if (! $F(elt).match(/^[0-9]+(\.[0-9]+)?$/)){
					me.negativated.push(me.negative(elt))
					if (isValid){ // First incorrect field
						elt.focus()
					}
					isValid = false
				}
			}
		})
		return isValid
	}
	
	me.form.onsubmit = function(){
		if (me.validate()){
			new Ajax.Updater("pnlAds", "/services/ads", {
				method: "get",
				parameters: me.form.serialize(true),
				onCreate: function() { me.updatePanel.show() },
				onComplete: function() { me.updatePanel.hide() },
				onFailure: function() { alert("Petit problme ct serveur...") }
			})
		}
		return false
	}
}

window.onload = function() {
	new AutoComplete("formSearch", "sCity", "sCityCompletions", "/services/autocomplete", 
		function(city){ return city.name + " - " + city.code  }
	)		
	new App("formSearch", "pnlWaiting")	
}
