package http;

import java.io.IOException;
import java.io.PrintWriter;
import java.net.InetSocketAddress;

import com.sun.net.httpserver.HttpExchange;
import com.sun.net.httpserver.HttpServer;

public class Server {
	protected HttpServer server;

	public Server() {
		try {
			server = HttpServer.create(new InetSocketAddress(2001), 0);
			init();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	protected void init() {
		server.createContext("/").setHandler(new HttpTextServlet() {
			@Override
			protected void doGet(HttpExchange exchange, PrintWriter out) throws IOException {
				out.println("ok");
			}
		});
	}

	public void start() {
		server.start();
	}

	public void stop() {
		server.stop(0);
	}
}
