package tests;

import http.Client;

import java.io.IOException;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import util.Constants;

import junit.framework.TestCase;

public class TestHttpClient extends TestCase {
	public void testGet() throws IOException{
		StringBuilder sb = Client.get("http://www.dotnetguru.org");
		Pattern p = Pattern.compile("<title>(.*)</title>", Constants.REG_EXP_FLAGS);
		Matcher m = p.matcher(sb);
		if (m.find()){
			assertEquals("DotNetGuru.org :: Architecture .NET (DotNet)", m.group(1));
		}
	}
}
