package tests;

import java.util.List;

import junit.framework.TestCase;
import business.City;
import business.Insee;

public class TestInsee extends TestCase {
	public void testByName() {
		String prefix = "Bida";
		List<City> cities = Insee.instance.getCitiesStartingBy(prefix, 10);
		assertEquals(3, cities.size());
		for(City c : cities){
			assertTrue(c.getName().startsWith(prefix.toUpperCase()));
		}
	}
	public void testByInsee() {
		String prefix = "Ve";
		for(City c : Insee.instance.getCitiesStartingBy(prefix, 10)){
			assertEquals(c.getInseeCode(), Insee.instance.getCity(c.getInseeCode()).getInseeCode());
		}
	}
}
